Get Service
curl --request GET \
--url https://api.legitmark.com/api/services/{service_uuid}const options = {method: 'GET'};
fetch('https://api.legitmark.com/api/services/{service_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.legitmark.com/api/services/{service_uuid}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.legitmark.com/api/services/{service_uuid}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"rc_hit": false,
"message": "The service was fetched successfully.",
"service": {
"uuid": "31670fe9-9272-11ef-b98d-06fb0f2a63e5",
"name": "TikTok Shop Partner Sneaker",
"description": "Standard Authentication in under 60 min",
"expected_completion_time": 3600,
"price": 0,
"parent": false,
"excluded_from_billing": false,
"created_at": "2024-10-25T01:41:02.000Z",
"updated_at": "2024-10-25T01:41:02.000Z"
}
}{
"success": false,
"error": {
"code": 123,
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"details": "<string>"
}
}Taxonomy
Get Service
Retrieve details for a specific authentication service.
GET
https://api.legitmark.com
/
api
/
services
/
{service_uuid}
Get Service
curl --request GET \
--url https://api.legitmark.com/api/services/{service_uuid}const options = {method: 'GET'};
fetch('https://api.legitmark.com/api/services/{service_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.legitmark.com/api/services/{service_uuid}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.legitmark.com/api/services/{service_uuid}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"rc_hit": false,
"message": "The service was fetched successfully.",
"service": {
"uuid": "31670fe9-9272-11ef-b98d-06fb0f2a63e5",
"name": "TikTok Shop Partner Sneaker",
"description": "Standard Authentication in under 60 min",
"expected_completion_time": 3600,
"price": 0,
"parent": false,
"excluded_from_billing": false,
"created_at": "2024-10-25T01:41:02.000Z",
"updated_at": "2024-10-25T01:41:02.000Z"
}
}{
"success": false,
"error": {
"code": 123,
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"details": "<string>"
}
}Path Parameters
Response
Service retrieved successfully
Example:
true
Example:
"The service was fetched successfully."
Hide child attributes
Hide child attributes
Example:
"TikTok Shop Partner Sneaker"
Example:
"Standard Authentication in under 60 min"
Expected completion time in hours
Example:
3600
Example:
0
Whether this service is excluded from billing
Indicates if the response was served from cache
Example:
true
⌘I